<?php

############################################################################
#
# Copyright [2020] [Mihály Héder]
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
############################################################################

function startsWith($string, $startString) { 
    $len = strlen($startString); 
    return (substr($string, 0, $len) === $startString); 
} 

function make_redirect($target) {
    header("Location: ".$target);
}

function make_lang_link($lang) {

    $link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
    
    // thank you stack overflow
    // https://stackoverflow.com/questions/5809774/manipulate-a-url-string-by-adding-get-parameters
    $url_parts = parse_url($link);
    if (isset($url_parts['query'])) { 
        parse_str($url_parts['query'], $params);
    } else {
        $params = array();
    }
    
    $params['lang'] = $lang;   
    
    $url_parts['query'] = http_build_query($params);
    
    $link = $url_parts['scheme'] . '://' . $url_parts['host'] . $url_parts['path'] . '?' . $url_parts['query'];

    return $link;

}

?>