<?php

############################################################################
#
# Copyright [2020] [Mihály Héder]
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
############################################################################


include "init.php";

$hash = filter_input(INPUT_POST,'hash',FILTER_SANITIZE_SPECIAL_CHARS);

?>

<html>
	<head>
		<style>
body {
	padding-top: 15vh;
	display: grid;
	place-items: center;
	padding-bottom: 15vh;
}

form {
    display:grid;
    place-items: center;
}

p {
    text-align: center;
    align: center;
}
		</style>
	</head>
	<body>
		<img src="/educlaims.png">
		<h1>eduCLAIMS</h3>
		<h3>A document signer service backed by federated authentication</h3>
<?php
    if (empty($hash)) {
?>
		<h2>Verify claim</h2>    
        <form action="/verify/index.php" method="post">
            <br>
            Enter the SHA256 hash of your document:  <input size="56" type="text" name="hash">
            <br><br>
            <input type="submit">
            <p> If you don't know how what is this, please visit <br/>
            <a href="https://educlaims.ponens.org/doc/verify">https://educlaims.ponens.org/doc/verify</a>    
            </p>
        </form>
<?php
    } else {
        $created_at = check_hash($hash);
        if (!empty($created_at)) {
?>
               <h2 style="color:green">Verified! This document was created at <?=$created_at ?> and subsequently signed by all signers appearing on the pdf.</h2>
<?php
        }
        else {
?>
            <p style="color:red">Document not found!</p>
<?php
        }
    }
?>
	</body>
</html>
